lkml.org 
[lkml]   [2016]   [Jul]   [29]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
SubjectRe: [PATCH] checkpatch: fix perl warning about unescaped brace
This system has v5.22.1.  I don't know exactly how this perl was
configured. I didn't see the warning on other systems. Strangely, I
don't remember seeing it yesterday on this system, either. I might
try to reproduce the warning on another system and let you know. The
warning and this fix seem to be in line with the perl documentation,
though.

perl --version

This is perl 5, version 22, subversion 1 (v5.22.1) built for
x86_64-linux-thread-multi
(with 15 registered patches, see perl -V for more detail)

cat /etc/fedora-release
Fedora release 23 (Twenty Three)

On Fri, Jul 29, 2016 at 7:06 PM, Joe Perches <joe@perches.com> wrote:
> On Fri, 2016-07-29 at 18:27 -0400, Allen Hubbe wrote:
>> Perl warns:
>>
>> Unescaped left brace in regex is deprecated, passed through in regex
>>
>> This is explained under "Quantifiers" in perl doc:
>> http://perldoc.perl.org/perlre.html#Quantifiers
>
> Hey Allen.
>
> I'm at 5.22 and don't see a warning.
> For what version of perl does this warning get generated?
> Only 5.24 and higher?
>

\
 
 \ /
  Last update: 2016-07-30 02:41    [W:0.055 / U:5.024 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site